nxhttpd traces removed
authorAlex Kirhenshtein <alk@netxms.org>
Wed, 23 May 2012 13:17:19 +0000 (13:17 +0000)
committerAlex Kirhenshtein <alk@netxms.org>
Wed, 23 May 2012 13:17:19 +0000 (13:17 +0000)
19 files changed:
.gitattributes
COPYING
configure.ac
contrib/Makefile.am
contrib/nxhttpd.conf-dist [deleted file]
contrib/startup/debian/Makefile.am
contrib/startup/debian/nxhttpd.in [deleted file]
contrib/startup/gentoo/nxhttpd [deleted file]
contrib/startup/redhat/Makefile.am
contrib/startup/redhat/nxhttpd.in [deleted file]
contrib/startup/suse/Makefile.am
contrib/startup/suse/nxhttpd.in [deleted file]
contrib/startup/ubuntu/Makefile.am
contrib/startup/ubuntu/nxhttpd.in [deleted file]
packages/freebsd/Makefile
packages/freebsd/files/nxhttpd.in [deleted file]
packages/freebsd/pkg-plist
src/install/windows/common.iss
src/server/tools/nxconfig/nxconfig.cpp

index a6a3c80..fc93b35 100644 (file)
@@ -151,7 +151,6 @@ contrib/mibs/S5-AGENT-MIB.txt -text
 contrib/startup/debian/Makefile.am -text
 contrib/startup/debian/netxmsd.in -text
 contrib/startup/debian/nxagentd.in -text
-contrib/startup/debian/nxhttpd.in -text
 doc/RadenSolutions.xml -text
 doc/comparison_netxms_nnm.doc -text
 doc/integration/HPOM_Integration.docx -text
diff --git a/COPYING b/COPYING
index 89c8a04..43c49fa 100644 (file)
--- a/COPYING
+++ b/COPYING
@@ -22,7 +22,6 @@ nxcon           GPL
 nxcptest        GPL
 nxevent         GPL
 nxflowd         GPL
-nxhttpd         GPL
 nxlexer         GPL
 nxlptest        GPL
 nxmibc          GPL
index db46a4a..5100ce0 100644 (file)
@@ -43,7 +43,6 @@ USE_PTH="no"
 BUILD_SERVER="no"
 BUILD_AGENT="no"
 BUILD_CLIENT="no"
-BUILD_NXHTTPD="no"
 BUILD_STATIC_AGENT="no"
 NEED_ZLIB="no"
 MODULES="libnetxms tools install"
@@ -2175,11 +2174,6 @@ if test "x${BUILD_CLIENT}" = "xyes"; then
 else
        echo "Build Clients           : NO"
 fi
-if test "x${BUILD_NXHTTPD}" = "xyes"; then
-       echo "Build Web Interface     : YES"
-else
-       echo "Build Web Interface     : NO"
-fi
 if test "x${BUILD_AGENT}" = "xyes"; then
        echo "Build Agent             : YES"
        echo "Subagents list          : ${SUBAGENT_DIRS}"
index d6d3526..b2ebe42 100644 (file)
@@ -10,7 +10,7 @@
 
 
 EXTRA_DIST = \
-       netxmsd.conf-dist nxagentd.conf-dist nxhttpd.conf-dist \
+       netxmsd.conf-dist nxagentd.conf-dist \
        installAgent.sh installBinaryAgent.sh
 SUBDIRS = integration startup
 SUBDIRS += @CONTRIB_MODULES@
diff --git a/contrib/nxhttpd.conf-dist b/contrib/nxhttpd.conf-dist
deleted file mode 100644 (file)
index e01c656..0000000
+++ /dev/null
@@ -1,48 +0,0 @@
-#
-# Sample configuration file for NetXMS web server
-#
-
-#
-# DocumentRoot
-#
-# Root directory for static web interface content. Default values:
-#   on UNIX: /usr/local/share/netxms
-#   on Windows: C:\NetXMS\var\www
-#
-# Example:
-# DocumentRoot = C:\Program Files\NetXMS\var\www
-
-#
-# MasterServer
-#
-# Host name or address of master NetXMS server (server for which nxhttpd
-# will provide web interface). Default value is localhost.
-#
-# Example:
-# MasterServer = localhost
-
-#
-# LogFile
-#
-# Server's log file. To write log to syslog (or Event Log on Windows),
-# use {syslog} as file name.
-#
-# Examples:
-# LogFile = {syslog}
-# LogFile = /var/log/nxhttpd
-
-#
-# ListenPort
-#
-# TCP port for incoming connections. Default is 8080.
-#
-# Example:
-# ListenPort=8080
-
-#
-# SessionTimeout
-#
-# Client session timeout in seconds. Default is 300.
-#
-# Example:
-# SessionTimeout=300
index 3c50898..224c2f1 100644 (file)
@@ -8,12 +8,12 @@
 # WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 # implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
-EXTRA_DIST = netxmsd.in nxagentd.in nxhttpd.in
+EXTRA_DIST = netxmsd.in nxagentd.in
 
 REPLACE_CMD = sed "s,~BINDIR~,$(bindir),g" < $@.in | \
        sed "s,~LIBDIR~,$(libdir),g" > $@
 
-all: netxmsd nxagentd nxhttpd
+all: netxmsd nxagentd
 
 netxmsd: netxmsd.in
        $(REPLACE_CMD)
@@ -21,8 +21,5 @@ netxmsd: netxmsd.in
 nxagentd: nxagentd.in
        $(REPLACE_CMD)
 
-nxhttpd: nxhttpd.in
-       $(REPLACE_CMD)
-
 clean:
-       rm -f netxmsd nxagentd nxhttpd
+       rm -f netxmsd nxagentd
diff --git a/contrib/startup/debian/nxhttpd.in b/contrib/startup/debian/nxhttpd.in
deleted file mode 100644 (file)
index 3de98c9..0000000
+++ /dev/null
@@ -1,155 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          nxhttpd
-# Required-Start:    $remote_fs
-# Required-Stop:     $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: NetXMS web server initscript
-# Description:       NetXMS web server startup script
-### END INIT INFO
-
-# Author: Raden Solutions <info@radensolutions.com>
-
-# Do NOT "set -e"
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="NetXMS Web Server"
-NAME=nxhttpd
-DAEMON=~BINDIR~/$NAME
-DAEMON_ARGS="-d"
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-        # Return
-        #   0 if daemon has been started
-        #   1 if daemon was already running
-        #   2 if daemon could not be started
-        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
-                || return 1
-        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
-                $DAEMON_ARGS \
-                || return 2
-        # Add code here, if necessary, that waits for the process to be ready
-        # to handle requests from services started subsequently which depend
-        # on this one.  As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-        # Return
-        #   0 if daemon has been stopped
-        #   1 if daemon was already stopped
-        #   2 if daemon could not be stopped
-        #   other if a failure occurred
-        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
-        RETVAL="$?"
-        [ "$RETVAL" = 2 ] && return 2
-        # Wait for children to finish too if this is a daemon that forks
-        # and if the daemon is only ever run from this initscript.
-        # If the above conditions are not satisfied then add some other code
-        # that waits for the process to drop all resources that could be
-        # needed by services started subsequently.  A last resort is to
-        # sleep for some time.
-        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-        [ "$?" = 2 ] && return 2
-        # Many daemons don't delete their pidfiles when they exit.
-        rm -f $PIDFILE
-        return "$RETVAL"
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
-        #
-        # If the daemon can reload its configuration without
-        # restarting (for example, when it is sent a SIGHUP),
-        # then implement that here.
-        #
-        start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
-        return 0
-}
-
-case "$1" in
-  start)
-        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
-        do_start
-        case "$?" in
-                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-        esac
-        ;;
-  stop)
-        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-        do_stop
-        case "$?" in
-                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-        esac
-        ;;
-  #reload|force-reload)
-        #
-        # If do_reload() is not implemented then leave this commented out
-        # and leave 'force-reload' as an alias for 'restart'.
-        #
-        #log_daemon_msg "Reloading $DESC" "$NAME"
-        #do_reload
-        #log_end_msg $?
-        #;;
-  restart|force-reload)
-        #
-        # If the "reload" option is implemented then remove the
-        # 'force-reload' alias
-        #
-        log_daemon_msg "Restarting $DESC" "$NAME"
-        do_stop
-        case "$?" in
-          0|1)
-                do_start
-                case "$?" in
-                        0) log_end_msg 0 ;;
-                        1) log_end_msg 1 ;; # Old process is still running
-                        *) log_end_msg 1 ;; # Failed to start
-                esac
-                ;;
-          *)
-                # Failed to stop
-                log_end_msg 1
-                ;;
-        esac
-        ;;
-  status)
-        status_of_proc $DAEMON $NAME && exit 0 || exit $?
-        ;;
-
-  *)
-        #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload|status}" >&2
-        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|status}" >&2
-        exit 3
-        ;;
-esac
-
-:
diff --git a/contrib/startup/gentoo/nxhttpd b/contrib/startup/gentoo/nxhttpd
deleted file mode 100755 (executable)
index deebbf5..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /cvs/nms/contrib/startup/gentoo/nxhttpd,v 1.1 2006-03-08 09:12:22 victor Exp $
-
-depend() {
-       need net
-}
-
-start() {
-       ebegin "Starting NetXMS web interface"
-       eval start-stop-daemon --start --quiet --pidfile /var/run/nxhttpd.pid --exec /usr/local/bin/nxhttpd -- -d -p /var/run/nxhttpd.pid $OPTS
-       eend $?
-}
-
-stop() {
-       ebegin "Stopping NetXMS web interface"
-       start-stop-daemon --stop --quiet --pidfile /var/run/nxhttpd.pid
-       eend $?
-}
index 5ebd774..27073bc 100644 (file)
@@ -8,12 +8,12 @@
 # WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 # implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
-EXTRA_DIST = netxmsd.in nxagentd.in nxhttpd.in
+EXTRA_DIST = netxmsd.in nxagentd.in
 
 REPLACE_CMD = sed "s,~BINDIR~,$(bindir),g" < $@.in | \
        sed "s,~LIBDIR~,$(libdir),g" > $@
 
-all: netxmsd nxagentd nxhttpd
+all: netxmsd nxagentd
 
 netxmsd: netxmsd.in
        $(REPLACE_CMD)
@@ -21,8 +21,5 @@ netxmsd: netxmsd.in
 nxagentd: nxagentd.in
        $(REPLACE_CMD)
 
-nxhttpd: nxhttpd.in
-       $(REPLACE_CMD)
-
 clean:
-       rm -f netxmsd nxagentd nxhttpd
+       rm -f netxmsd nxagentd
diff --git a/contrib/startup/redhat/nxhttpd.in b/contrib/startup/redhat/nxhttpd.in
deleted file mode 100644 (file)
index b96f367..0000000
+++ /dev/null
@@ -1,80 +0,0 @@
-#!/bin/sh
-# $Id$
-#
-# nxhttpd This script starts and stops the nxhttpd daemon
-#
-# chkconfig: 2345 90 10
-#
-# description: nxhttpd is a NetXMS web server process
-
-NETXMS_BINDIR="~BINDIR~"
-NETXMS_LIBDIR="~LIBDIR~"
-
-# Source function library.
-if [ -f /etc/init.d/functions ]; then
-       . /etc/init.d/functions
-elif [ -f /etc/rc.d/init.d/functions ]; then
-       . /etc/rc.d/init.d/functions
-else
-       echo "Could not find functions file, your system may be broken."
-       exit 1
-fi
-
-# Source networking configuration.
-. /etc/sysconfig/network
-
-# Check that networking is up.
-[ ${NETWORKING} = "no" ] && exit 0
-
-# Default config
-NXHTTPD_OPTIONS=""
-NXHTTPD_CONFIG="/etc/nxhttpd.conf"
-NXHTTPD_PID_FILE="/var/run/nxhttpd.pid"
-
-# Source nxagentd configuration.
-if [ -f /etc/sysconfig/nxhttpd ] ; then
-        . /etc/sysconfig/nxhttpd
-fi
-
-[ -f $NETXMS_BINDIR/nxhttpd ] || exit 0
-LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$NETXMS_LIBDIR
-
-# See how we were called.
-case "$1" in
-  start)
-       # Start daemon.
-       echo -n "Starting NetXMS Web Server: "
-       daemon $NETXMS_BINDIR/nxhttpd -d $NXHTTPD_OPTIONS -c $NXHTTPD_CONFIG -p $NXHTTPD_PID_FILE
-       RETVAL=$?
-        echo
-        [ $RETVAL = 0 ] && touch /var/lock/subsys/nxhttpd
-        ;;
-  stop)
-        # Stop daemons.
-        echo -n "Shutting down NetXMS Web Server: "
-        kill `cat $NXHTTPD_PID_FILE 2>/dev/null` 2> /dev/null
-        RETVAL=$?
-        if [ $RETVAL = 0 ] ; then
-                success
-        else
-                failure
-        fi
-        echo
-        [ $RETVAL = 0 ] && rm -f /var/lock/subsys/nxhttpd
-        ;;
-  restart)
-        $0 stop
-        $0 start
-        ;;
-  condrestart)
-       [ -e /var/lock/subsys/nxagentd ] && $0 restart
-       ;;
-  status)
-       status nxhttpd
-       ;;
-  *)
-       echo "Usage: $0 {start|stop|restart|status|condrestart}"
-       exit 1
-esac
-
-exit 0
index 5ebd774..27073bc 100644 (file)
@@ -8,12 +8,12 @@
 # WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 # implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
-EXTRA_DIST = netxmsd.in nxagentd.in nxhttpd.in
+EXTRA_DIST = netxmsd.in nxagentd.in
 
 REPLACE_CMD = sed "s,~BINDIR~,$(bindir),g" < $@.in | \
        sed "s,~LIBDIR~,$(libdir),g" > $@
 
-all: netxmsd nxagentd nxhttpd
+all: netxmsd nxagentd
 
 netxmsd: netxmsd.in
        $(REPLACE_CMD)
@@ -21,8 +21,5 @@ netxmsd: netxmsd.in
 nxagentd: nxagentd.in
        $(REPLACE_CMD)
 
-nxhttpd: nxhttpd.in
-       $(REPLACE_CMD)
-
 clean:
-       rm -f netxmsd nxagentd nxhttpd
+       rm -f netxmsd nxagentd
diff --git a/contrib/startup/suse/nxhttpd.in b/contrib/startup/suse/nxhttpd.in
deleted file mode 100644 (file)
index b5a16a5..0000000
+++ /dev/null
@@ -1,263 +0,0 @@
-#!/bin/sh
-#
-#     SUSE system startup script for NetXMS Agent
-#     Copyright (c) 2007 Victor Kirhenshtein
-#     Based on:
-#     Template SUSE system startup script for example service/daemon FOO
-#     Copyright (C) 1995--2005  Kurt Garloff, SUSE / Novell Inc.
-#          
-#     This library is free software; you can redistribute it and/or modify it
-#     under the terms of the GNU Lesser General Public License as published by
-#     the Free Software Foundation; either version 2.1 of the License, or (at
-#     your option) any later version.
-#                            
-#     This library is distributed in the hope that it will be useful, but
-#     WITHOUT ANY WARRANTY; without even the implied warranty of
-#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-#     Lesser General Public License for more details.
-#      
-#     You should have received a copy of the GNU Lesser General Public
-#     License along with this library; if not, write to the Free Software
-#     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
-#     USA.
-#
-# Note: This template uses functions rc_XXX defined in /etc/rc.status on
-# UnitedLinux/SUSE/Novell based Linux distributions. If you want to base your
-# script on this template and ensure that it works on non UL based LSB 
-# compliant Linux distributions, you either have to provide the rc.status
-# functions from UL or change the script to work without them.
-# See skeleton.compat for a template that works with other distros as well.
-#
-### BEGIN INIT INFO
-# Provides:          nxhttpd
-# Required-Start:    $syslog $remote_fs
-# Should-Start: $time
-# Required-Stop:     $syslog $remote_fs
-# Should-Stop: $time
-# Default-Start:     3 5
-# Default-Stop:      0 1 2 6
-# Short-Description: NetXMS HTTP Server
-# Description:       Start NetXMS HTTP Server
-### END INIT INFO
-# 
-# Any extensions to the keywords given above should be preceeded by 
-# X-VendorTag- (X-UnitedLinux- X-SuSE- for us) according to LSB.
-# 
-# Notes on Required-Start/Should-Start:
-# * There are two different issues that are solved by Required-Start
-#    and Should-Start
-# (a) Hard dependencies: This is used by the runlevel editor to determine
-#     which services absolutely need to be started to make the start of
-#     this service make sense. Example: nfsserver should have
-#     Required-Start: $portmap
-#     Also, required services are started before the dependent ones.
-#     The runlevel editor will warn about such missing hard dependencies
-#     and suggest enabling. During system startup, you may expect an error,
-#     if the dependency is not fulfilled.
-# (b) Specifying the init script ordering, not real (hard) dependencies.
-#     This is needed by insserv to determine which service should be
-#     started first (and at a later stage what services can be started
-#     in parallel). The tag Should-Start: is used for this.
-#     It tells, that if a service is available, it should be started
-#     before. If not, never mind.
-# * When specifying hard dependencies or ordering requirements, you can 
-#   use names of services (contents of their Provides: section)
-#   or pseudo names starting with a $. The following ones are available
-#   according to LSB (1.1):
-#      $local_fs               all local file systems are mounted
-#                              (most services should need this!)
-#      $remote_fs              all remote file systems are mounted
-#                              (note that /usr may be remote, so
-#                               many services should Require this!)
-#      $syslog                 system logging facility up
-#      $network                low level networking (eth card, ...)
-#      $named                  hostname resolution available
-#      $netdaemons             all network daemons are running
-#   The $netdaemons pseudo service has been removed in LSB 1.2.
-#   For now, we still offer it for backward compatibility.
-#   These are new (LSB 1.2):
-#      $time                   the system time has been set correctly  
-#      $portmap                SunRPC portmapping service available
-#   UnitedLinux extensions:
-#      $ALL                    indicates that a script should be inserted
-#                              at the end
-# * The services specified in the stop tags 
-#   (Required-Stop/Should-Stop)
-#   specify which services need to be still running when this service
-#   is shut down. Often the entries there are just copies or a subset 
-#   from the respective start tag.
-# * Should-Start/Stop are now part of LSB as of 2.0,
-#   formerly SUSE/Unitedlinux used X-UnitedLinux-Should-Start/-Stop.
-#   insserv does support both variants.
-# * X-UnitedLinux-Default-Enabled: yes/no is used at installation time
-#   (%fillup_and_insserv macro in %post of many RPMs) to specify whether
-#   a startup script should default to be enabled after installation.
-#   It's not used by insserv.
-#
-# Note on runlevels:
-# 0 - halt/poweroff                    6 - reboot
-# 1 - single user                      2 - multiuser without network exported
-# 3 - multiuser w/ network (text mode)  5 - multiuser w/ network and X11 (xdm)
-# 
-# Note on script names:
-# http://www.linuxbase.org/spec/refspecs/LSB_1.3.0/gLSB/gLSB/scrptnames.html
-# A registry has been set up to manage the init script namespace.
-# http://www.lanana.org/
-# Please use the names already registered or register one or use a
-# vendor prefix.
-
-NETXMS_BINDIR="~BINDIR~"
-NETXMS_LIBDIR="~LIBDIR~"
-
-# Default command line options
-NXHTTPD_OPTIONS="-d"
-
-# Check for missing binaries (stale symlinks should not happen)
-# Note: Special treatment of stop for LSB conformance
-NXHTTPD_BIN=$NETXMS_BINDIR/nxhttpd
-test -x $NXHTTPD_BIN || { echo "$NXHTTPD_BIN not installed"; 
-       if [ "$1" = "stop" ]; then exit 0;
-       else exit 5; fi; }
-
-# Check for existence of needed config file and read it
-NXHTTPD_CONFIG=/etc/sysconfig/nxhttpd
-test -r $NXHTTPD_CONFIG
-if [ $? == 0 ]; then
-       . $NXHTTPD_CONFIG
-fi
-
-# Source LSB init functions
-# providing start_daemon, killproc, pidofproc, 
-# log_success_msg, log_failure_msg and log_warning_msg.
-# This is currently not used by UnitedLinux based distributions and
-# not needed for init scripts for UnitedLinux only. If it is used,
-# the functions from rc.status should not be sourced or used.
-#. /lib/lsb/init-functions
-
-# Shell functions sourced from /etc/rc.status:
-#      rc_check         check and set local and overall rc status
-#      rc_status        check and set local and overall rc status
-#      rc_status -v     be verbose in local rc status and clear it afterwards
-#      rc_status -v -r  ditto and clear both the local and overall rc status
-#      rc_status -s     display "skipped" and exit with status 3
-#      rc_status -u     display "unused" and exit with status 3
-#      rc_failed        set local and overall rc status to failed
-#      rc_failed <num>  set local and overall rc status to <num>
-#      rc_reset         clear both the local and overall rc status
-#      rc_exit          exit appropriate to overall rc status
-#      rc_active        checks whether a service is activated by symlinks
-. /etc/rc.status
-
-# Reset status of this service
-rc_reset
-
-# Return values acc. to LSB for all commands but status:
-# 0      - success
-# 1       - generic or unspecified error
-# 2       - invalid or excess argument(s)
-# 3       - unimplemented feature (e.g. "reload")
-# 4       - user had insufficient privileges
-# 5       - program is not installed
-# 6       - program is not configured
-# 7       - program is not running
-# 8--199  - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
-# 
-# Note that starting an already running service, stopping
-# or restarting a not-running service as well as the restart
-# with force-reload (in case signaling is not supported) are
-# considered a success.
-
-case "$1" in
-    start)
-       echo -n "Starting NetXMS HTTP server "
-       ## Start daemon with startproc(8). If this fails
-       ## the return value is set appropriately by startproc.
-       /sbin/startproc $NXHTTPD_BIN $NXHTTPD_OPTIONS
-
-       # Remember status and be verbose
-       rc_status -v
-       ;;
-    stop)
-       echo -n "Shutting down NetXMS HTTP server "
-       ## Stop daemon with killproc(8) and if this fails
-       ## killproc sets the return value according to LSB.
-
-       /sbin/killproc -TERM $NXHTTPD_BIN
-
-       # Remember status and be verbose
-       rc_status -v
-       ;;
-    try-restart|condrestart)
-       ## Do a restart only if the service was active before.
-       ## Note: try-restart is now part of LSB (as of 1.9).
-       ## RH has a similar command named condrestart.
-       if test "$1" = "condrestart"; then
-               echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
-       fi
-       $0 status
-       if test $? = 0; then
-               $0 restart
-       else
-               rc_reset        # Not running is not a failure.
-       fi
-       # Remember status and be quiet
-       rc_status
-       ;;
-    restart)
-       ## Stop the service and regardless of whether it was
-       ## running or not, start it again.
-       $0 stop
-       $0 start
-
-       # Remember status and be quiet
-       rc_status
-       ;;
-    force-reload)
-       ## Signal the daemon to reload its config. Most daemons
-       ## do this on signal 1 (SIGHUP).
-       ## If it does not support it, restart the service if it
-       ## is running.
-
-       $0 try-restart
-       rc_status
-       ;;
-    reload)
-       ## Like force-reload, but if daemon does not support
-       ## signaling, do nothing (!)
-
-       ## Otherwise if it does not support reload:
-       rc_failed 3
-       rc_status -v
-       ;;
-    status)
-       echo -n "Checking for service NetXMS HTTP server "
-       ## Check status with checkproc(8), if process is running
-       ## checkproc will return with exit status 0.
-
-       # Return value is slightly different for the status command:
-       # 0 - service up and running
-       # 1 - service dead, but /var/run/  pid  file exists
-       # 2 - service dead, but /var/lock/ lock file exists
-       # 3 - service not running (unused)
-       # 4 - service status unknown :-(
-       # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
-       
-       # NOTE: checkproc returns LSB compliant status values.
-       /sbin/checkproc $NXHTTPD_BIN
-       # NOTE: rc_status knows that we called this init script with
-       # "status" option and adapts its messages accordingly.
-       rc_status -v
-       ;;
-    probe)
-       ## Optional: Probe for the necessity of a reload, print out the
-       ## argument to this init script which is required for a reload.
-       ## Note: probe is not (yet) part of LSB (as of 1.9)
-
-       test /etc/nxhttpd.conf -nt /var/run/nxhttpd.pid && echo reload
-       ;;
-    *)
-       echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
-       exit 1
-       ;;
-esac
-rc_exit
index 3c50898..224c2f1 100644 (file)
@@ -8,12 +8,12 @@
 # WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 # implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
-EXTRA_DIST = netxmsd.in nxagentd.in nxhttpd.in
+EXTRA_DIST = netxmsd.in nxagentd.in
 
 REPLACE_CMD = sed "s,~BINDIR~,$(bindir),g" < $@.in | \
        sed "s,~LIBDIR~,$(libdir),g" > $@
 
-all: netxmsd nxagentd nxhttpd
+all: netxmsd nxagentd
 
 netxmsd: netxmsd.in
        $(REPLACE_CMD)
@@ -21,8 +21,5 @@ netxmsd: netxmsd.in
 nxagentd: nxagentd.in
        $(REPLACE_CMD)
 
-nxhttpd: nxhttpd.in
-       $(REPLACE_CMD)
-
 clean:
-       rm -f netxmsd nxagentd nxhttpd
+       rm -f netxmsd nxagentd
diff --git a/contrib/startup/ubuntu/nxhttpd.in b/contrib/startup/ubuntu/nxhttpd.in
deleted file mode 100644 (file)
index 311e560..0000000
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/sh
-#
-#######################################
-#
-# NetXMS web server startup script
-# For Ubuntu Linux
-#
-# Written by Dmitry Chernyshov
-# dchernyshov@cogito.ru
-#
-#######################################
-
-NETXMS_BINDIR="~BINDIR~"
-NETXMS_LIBDIR="~LIBDIR~"
-
-NAME=nxhttpd
-DAEMON=$NETXMS_BINDIR/nxhttpd
-PIDFILE=/var/run/$NAME.pid
-
-test -x $DAEMON || exit 5
-
-
-. /lib/lsb/init-functions
-case "$1" in
- start)
-        # start daemon
-        log_daemon_msg "Starting NetXMS agent" "$NAME"
-        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- -p $PIDFILE -d
-        log_end_msg $?
-        ;;
- stop)
-        log_daemon_msg "Stopping NetXMS agent" "$NAME"
-        start-stop-daemon --stop --quiet --pidfile $PIDFILE
-        log_end_msg $?
-        ;;
- restart)
-        $0 stop && sleep 2 && $0 start
-        ;;
-esac
index 6440eb7..4088dd4 100644 (file)
@@ -30,7 +30,6 @@ LDFLAGS+=     -L${OPENSSLLIB} -lcrypto -lssl
 OPTIONS=       SERVER          "Install NetXMS server & agent" off\
                CLIENT             "Install NetXMS client" off \
                AGENT             "Install NetXMS agent" off \
-               NXHTTPD             "Install web-interface" off \
                MYSQL             "Enable MySQL support" off \
                PGSQL             "Enable PostgreSQL support" off
 
@@ -74,15 +73,6 @@ PLIST_SUB+=  AGENT=""
 PLIST_SUB+=    AGENT="@comment "
 .endif
 
-.if defined(WITH_NXHTTPD)
-USE_RC_SUBR+=  nxhttpd
-CONFIGURE_ARGS+=       --with-nxhttpd
-PLIST_SUB+=    NXHTTPD=""
-LIB_DEPENDS=   gd.4:${PORTSDIR}/graphics/gd
-.else
-PLIST_SUB+=    NXHTTPD="@comment "
-.endif
-
 .if defined(WITH_MYSQL)
 CONFIGURE_ARGS+=       --with-mysql
 PLIST_SUB+=    MYSQL=""
@@ -112,11 +102,6 @@ pre-install:
                ${CP} -p ${WRKSRC}/contrib/nxagentd.conf-dist ${PREFIX}/etc/nxagentd.conf-dist ; \
        fi
 .endif
-.if defined(WITH_NXHTTPD)
-       @if [ ! -f ${PREFIX}/etc/nxhttpd.conf-dist ]; then \
-               ${CP} -p ${WRKSRC}/contrib/nxhttpd.conf-dist ${PREFIX}/etc/nxhttpd.conf-dist ; \
-       fi
-.endif
 
 post-install:
        @${SETENV} PKG_PREFIX=${PREFIX} \
@@ -128,9 +113,6 @@ post-install:
 .if defined(WITH_AGENT)
                        ${CHOWN} ${NETXMS_OWN}:${NETXMS_GRP} ${PREFIX}/etc/nxagentd.conf-dist
 .endif
-.if defined(WITH_NXHTTPD)
-                       ${CHOWN} ${NETXMS_OWN}:${NETXMS_GRP} ${PREFIX}/etc/nxhttpd.conf-dist
-.endif
 
 post-deinstall:
        @${SETENV} PKG_PREFIX=${PREFIX} \
diff --git a/packages/freebsd/files/nxhttpd.in b/packages/freebsd/files/nxhttpd.in
deleted file mode 100644 (file)
index 0039c83..0000000
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-# PROVIDE: nxhttpd
-# REQUIRE: LOGIN
-# KEYWORD: shutdown
-#
-#
-# Add the following line to /etc/rc.conf[.local] to enable nxhttpd
-#
-# nxhttpd_enable (bool):        Set to "NO" by default.
-#                               Set it to "YES" to enable nxagentd.
-#
-
-. %%RC_SUBR%%
-
-name="nxhttpd"
-nxhttpd_user="netxms"
-rcvar=${name}_enable
-
-load_rc_config $name
-
-: ${nxhttpd_enable="NO"}
-
-command="%%PREFIX%%/bin/nxhttpd"
-required_files="%%PREFIX%%/etc/nxhttpd.conf"
-command_args="-c %%PREFIX%%/etc/nxhttpd.conf -d"
-
-run_rc_command "$1"
index b5824a3..23a7468 100644 (file)
@@ -7,7 +7,6 @@
 %%SERVER%%bin/nxdbmgr
 %%CLIENT%%bin/nxevent
 %%SERVER%%bin/nxget
-%%NXHTTPD%%bin/nxhttpd
 %%SERVER%%bin/nxmibc
 %%CLIENT%%bin/nxpush
 %%CLIENT%%bin/nxreport
@@ -19,7 +18,6 @@
 %%SERVER%%etc/netxmsd.conf-dist
 %%SERVER%%etc/nxagentd.conf-dist
 %%AGENT%%etc/nxagentd.conf-dist
-%%NXHTTPD%%etc/nxhttpd.conf-dist
 lib/libnetxms.la
 lib/libnetxms.so
 lib/libnetxms.so.0
@@ -227,99 +225,12 @@ lib/libnetxms.so.0
 %%SERVER%%%%DATADIR%%/mibs/WF-COM.txt
 %%SERVER%%%%DATADIR%%/mibs/WWW-MIB.txt
 %%SERVER%%%%DATADIR%%/mibs/netxms.mib
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/alarms.js
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/common.js
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/ctrlpanel.js
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/I.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/L.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/Lminus.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/Lplus.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/T.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/Tminus.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/Tplus.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ack.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/blank.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/normal/ack.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/normal/add.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/normal/cancel.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/normal/delete.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/normal/login.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/normal/ok.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/normal/terminate.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/pressed/ack.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/pressed/add.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/pressed/cancel.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/pressed/delete.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/pressed/login.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/pressed/ok.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/buttons/pressed/terminate.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/checkbox_off.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/checkbox_on.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/actions.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/cert.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/cfgvar.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/ctrlpanel.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/discovery.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/epp.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/group.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/module.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/objtools.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/package.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/scripts.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/servercfg.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/snmptrap.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/user.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/ctrlpanel/users.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/delete.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/document.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/edit.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/file.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/foldericon.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/graph.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/login.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/new.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/cluster.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/container.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/interface.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/network.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/node.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/service.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/subnet.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/template.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/template_group.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/objects/template_root.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/openfoldericon.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/sort_down.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/sort_up.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/status/critical.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/status/disabled.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/status/major.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/status/minor.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/status/normal.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/status/testing.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/status/unknown.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/status/unmanaged.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/status/warning.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/images/terminate.png
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/netxms.css
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/pngfix.js
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/xloadtree.js
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/xmlextras.js
-%%NXHTTPD%%%%DATADIR%%/nxhttpd/xtree.js
 %%SERVER%%%%DATADIR%%/sql/dbinit_mssql.sql
 %%SERVER%%%%DATADIR%%/sql/dbinit_mysql.sql
 %%SERVER%%%%DATADIR%%/sql/dbinit_oracle.sql
 %%SERVER%%%%DATADIR%%/sql/dbinit_pgsql.sql
 %%SERVER%%%%DATADIR%%/sql/dbinit_sqlite.sql
 %%SERVER%%@dirrmtry %%DATADIR%%/sql
-%%NXHTTPD%%@dirrmtry %%DATADIR%%/nxhttpd/images/status
-%%NXHTTPD%%@dirrmtry %%DATADIR%%/nxhttpd/images/objects
-%%NXHTTPD%%@dirrmtry %%DATADIR%%/nxhttpd/images/ctrlpanel
-%%NXHTTPD%%@dirrmtry %%DATADIR%%/nxhttpd/images/buttons/pressed
-%%NXHTTPD%%@dirrmtry %%DATADIR%%/nxhttpd/images/buttons/normal
-%%NXHTTPD%%@dirrmtry %%DATADIR%%/nxhttpd/images/buttons
-%%NXHTTPD%%@dirrmtry %%DATADIR%%/nxhttpd/images
-%%NXHTTPD%%@dirrmtry %%DATADIR%%/nxhttpd
 %%SERVER%%@dirrmtry %%DATADIR%%/mibs
 %%SERVER%%@dirrmtry %%DATADIR%%/images
 %%SERVER%%@dirrmtry %%DATADIR%%/backgrounds
index 603e56f..dede433 100644 (file)
@@ -77,7 +77,6 @@ Var
   iResult: Integer;\r
 Begin\r
   Exec('net.exe', 'stop NetXMSCore', ExpandConstant('{app}\bin'), 0, ewWaitUntilTerminated, iResult);\r
-  Exec('net.exe', 'stop nxhttpd', ExpandConstant('{app}\bin'), 0, ewWaitUntilTerminated, iResult);\r
   Exec('net.exe', 'stop NetXMSAgentdW32', ExpandConstant('{app}\bin'), 0, ewWaitUntilTerminated, iResult);\r
 End;\r
 \r
index eba158e..9707759 100644 (file)
@@ -61,7 +61,6 @@ BOOL CNxconfigApp::InitInstance()
 {
    HKEY hKey;
    DWORD dwSize, dwData = 0;
-   const TCHAR *pszArg;
        TCHAR szCmd[1024];
 
        if (!AfxSocketInit())
@@ -99,12 +98,6 @@ BOOL CNxconfigApp::InitInstance()
       CreateAgentConfig();
       return FALSE;
    }
-   pszArg = ExtractWord(m_lpCmdLine, szCmd);
-   if (!_tcsicmp(szCmd, _T("--create-nxhttpd-config")))
-   {
-      CreateWebConfig(pszArg);
-      return FALSE;
-   }
 
    // Check if server is already configured or we cannot determine
    // installation directory
@@ -256,30 +249,3 @@ void CNxconfigApp::CreateAgentConfig()
       fclose(fp);
    }
 }
-
-
-//
-// Create configuration file for nxhttpd
-//
-
-void CNxconfigApp::CreateWebConfig(const TCHAR *pszServer)
-{
-   FILE *fp;
-   time_t currTime;
-   TCHAR szFile[MAX_PATH];
-
-   _sntprintf(szFile, MAX_PATH, _T("%s\\etc\\nxhttpd.conf"), m_szInstallDir);
-   if (_taccess(szFile, 0) == 0)
-      return;  // File already exist, we shouldn't overwrite it
-
-   fp = _tfopen(szFile, _T("w"));
-   if (fp != NULL)
-   {
-      currTime = time(NULL);
-      _ftprintf(fp, _T("#\n# NetXMS web server configuration file\n# Created by server installer at %s#\n\n"),
-                _tctime(&currTime));
-      _ftprintf(fp, _T("LogFile = {syslog}\nMasterServer = %s\n"), pszServer);
-      _ftprintf(fp, _T("DocumentRoot = %s\\var\\www\n"), m_szInstallDir);
-      fclose(fp);
-   }
-}